com.collabnet.ce.soap60.webservices.scm

## Class Commit2SoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.scm.Commit2SoapDO

-     public class Commit2SoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  This class represents the data associated with an SCM commit operation.The file list does not contain the commit message
  Since:
    7.0.0.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILTER_CREATED_AFTER` Scm commit created date filter.
    `static String` | `FILTER_CREATED_BEFORE` Scm commit created date filter.
    `static String` | `FILTER_CREATED_BY` Scm commit 'createdBy' filter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Commit2SoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommitMessage()` Returns 'commitMessage'.
    `String` | `getCreatedByFullname()` Returns 'createdByFullname'.
    `ScmFile2SoapList` | `getFiles()` Returns 'files'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCommitMessage(String commitMessage)` Sets 'commitMessage'.
    `void` | `setCreatedByFullname(String createdByFullname)` Sets 'createdByFullname'.
    `void` | `setFiles(ScmFile2SoapList files)` Sets 'files'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILTER_CREATED_AFTER

          public static final String FILTER_CREATED_AFTER

      Scm commit created date filter.
      See Also:
        Constant Field Values

    - #### FILTER_CREATED_BEFORE

          public static final String FILTER_CREATED_BEFORE

      Scm commit created date filter.
      See Also:
        Constant Field Values

    - #### FILTER_CREATED_BY

          public static final String FILTER_CREATED_BY

      Scm commit 'createdBy' filter.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Commit2SoapDO

          public Commit2SoapDO()

  - ### Method Detail

    - #### getCommitMessage

          public String getCommitMessage()

      Returns 'commitMessage'. The message provided by the user when creating the commit
      Returns:
        Value of 'commitMessage'.

    - #### setCommitMessage

          public void setCommitMessage(String commitMessage)

      Sets 'commitMessage'. The message provided by the user when creating the commit
      Parameters:
        `commitMessage` - Value of 'commitMessage'.

    - #### getCreatedByFullname

          public String getCreatedByFullname()

      Returns 'createdByFullname'. The full name of the user who created the commit
      Returns:
        Value of 'createdByFullname'.

    - #### setCreatedByFullname

          public void setCreatedByFullname(String createdByFullname)

      Sets 'createdByFullname'. The full name of the user who created the commit
      Parameters:
        `createdByFullname` - Value of 'createdByFullname'.

    - #### getFiles

          public ScmFile2SoapList getFiles()

      Returns 'files'. The files affected by this commit
      Returns:
        Value of 'files'.

    - #### setFiles

          public void setFiles(ScmFile2SoapList files)

      Sets 'files'. The files affected by this commit
      Parameters:
        `files` - Value of 'files'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.